# file_dialog_platform_interface

A common platform interface for the [`file_dialog`][1] plugin.

This interface allows platform-specific implementations of the `file_dialog`
plugin, as well as the plugin itself, to ensure they are supporting the
same interface.

# Usage

To implement a new platform-specific implementation of `file_dialog`, extend
[`FileDialogPlatform`][2] with an implementation that performs the
platform-specific behavior, and when you register your plugin, set the default
`FileDialogPlatform` by calling
`FileDialogPlatform.instance = MyPlatformFileDialog()`.

# Note on breaking changes

Strongly prefer non-breaking changes (such as adding a method to the interface)
over breaking changes for this package.

See https://flutter.dev/go/platform-interface-breaking-changes for a discussion
on why a less-clean interface is preferable to a breaking change.

[1]: ../file_dialog
[2]: lib/file_dialog_platform_interface.dart
