// Copyright 2017 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:async';

import 'package:flutter/services.dart';
// import 'package:meta/meta.dart' show required;

import 'file_context.dart';
import 'file_dialog_platform_interface.dart';

const MethodChannel _channel = MethodChannel('plugins.rive.app/file_dialog');

/// An implementation of [FileDialogPlatform] that uses method channels.
class MethodChannelFileDialog extends FileDialogPlatform {
  @override
  Future<bool> saveFile(FileContext file) {
    return _channel.invokeMethod<bool>(
      'saveFile',
      <String, Object>{
        'filename': file.filename,
        'data': file.data,
      },
    );
  }

  @override
  Future<FileContext> openFile() {
    return _channel.invokeMethod<FileContext>(
      'openFile',
    );
  }
}
